edg_to_adj {memnet} | R Documentation

## Edge list to adjacency matrix

### Description

Transforms an edge list as returned by community_graph into an adjacency matrix or `adjlist`.

### Usage

    edg_to_adj(edg, weight = NULL, directed = FALSE, adjlist = FALSE)

### Arguments

`edg` | character matrix with two columns containing the from and to nodes of the edges.
`weight` | optional numeric vector specifiying the weights associated with each edge.
`directed` | logical specifying whether edges should only be included for from-to or also fro to-from.
`adjlist` | logical specifying whether to export the adjancy matrix as an `adjlist` as required by fluency.

### Value

a numeric n x n adjacency matrix with n being the number of unique entries in `edg`.

### Examples

    # get fluency data
    data(animal_fluency)

    # edge list of fluency graph
    edge_list = threshold_graph(animal_fluency[1:3])

    # transfrom to adjacency matrix
    edg_to_adj(edge_list)

[Package memnet version 0.1.0 Index]